Bug 164936 - traceback when attempting to edit a gnbd fence device
traceback when attempting to edit a gnbd fence device
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 17:36 EDT by Corey Marthaler
Modified: 2009-04-16 16:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-753
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 12:49:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-08-02 17:36:04 EDT
Description of problem:
David Cox found this issue when attempting to edit the properties of his gnbd
fence device:

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 554, in
on_fence_tree_changed
    self.fence_prop_renderer.render_to_layout_area(obj.getProperties(),
obj.getName(), selected_type)
  File "/usr/share/system-config-cluster/Device.py", line 47, in getProperties
    NAME = self.pretty_name_attrs[attr]
KeyError: 'ipaddress'


Version-Release number of selected component (if applicable):
system-config-cluster-1.0.12-1.0

How reproducible:
everytime
Comment 1 Stanko Kupcevic 2005-08-04 17:15:19 EDT
Fixed in Errata Candidate
Comment 2 Corey Marthaler 2005-08-31 18:34:28 EDT
fix verified.
Comment 3 Red Hat Bugzilla 2005-10-07 12:49:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-753.html

Note You need to log in before you can comment on or make changes to this bug.